%define pkgname Sjeng-Free

Name:           sjeng-free
Version:        11.2
Release:        %mkrel 9
Summary:        Chess program that plays many variants
License:        GPLv2
Group:          Games/Boards

URL:		http://sjeng.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/sjeng/%{pkgname}-%{version}.tar.bz2
Source1:	sjeng.6.bz2
Source2:	sjeng-README.bz2

Patch0:		sjeng-11.2-cleanup.patch
Patch1:		sjeng-11.2-fhs.patch

BuildRequires:	automake1.9
BuildRequires:	gdbm-devel

%description
Sjeng is a chess program that plays normal chess and many variants
like crazyhouse, bughouse, suicide (aka giveaway or anti-chess) and
losers. It can also play variants which have the same rules as normal
chess, but a different starting position. It uses the XBoard/WinBoard
interface by Tim Mann, so it can be used with xboard or eboard. It
is also capable of playing on internet chess servers.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .cleanup
%patch1 -p1 -b .fhs

FORCE_AUTOCONF_2_5=1 ACLOCAL=aclocal-1.9 AUTOMAKE=automake-1.9 autoreconf --force --install

bzip2 -dc %{SOURCE2} > README.debian

# (Abel) supress annoying rpmlint warning message
perl -pi -e 's/\r//g' [[:upper:]][[:upper:]]* ChangeLog

%build
%configure2_5x \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir}

%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_mandir}/man6
bzip2 -dc %{SOURCE1} > %{buildroot}%{_mandir}/man6/sjeng.6

%files
%doc AUTHORS BUGS ChangeLog NEWS README README.debian
%{_gamesbindir}/*
%{_mandir}/man6/sjeng.6*


%changelog

* Tue Dec 06 2011 fwang <fwang> 11.2-9.mga2
+ Revision: 177162
- rebuild for new gdbm

* Mon Oct 03 2011 obgr_seneca <obgr_seneca> 11.2-8.mga2
+ Revision: 151340
- imported package sjeng-free

